---
title: 'Create a new website user attribute'
description: 'Create a new website user attribute'
openapi: POST /api/website_user_attributes
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`POST /api/website_user_attributes`

`POST https://admin.snagsolutions.io/api/website_user_attributes`

Create a new website user attribute

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Request body

- Content type: `application/json`
  - request body (object)
    - `data` (array, required)
      - `items` (object)
        - `id` (string, uuid) — Unique identifier for the website user attribute
        - `label` (string, required) — Label for the website user attribute
    - `websiteId` (string, uuid) — Unique identifier for the website
    - `organizationId` (string, uuid) — Unique identifier for the organization

## Response 200

200
  - response (object)
    - `data` (array, required)
      - `items` (object)
        - `websiteId` (string, required)
        - `organizationId` (string, required)
        - `id` (string, required)
        - `label` (string, required)
        - `createdAt` (string, date-time, required)
        - `updatedAt` (string, date-time, required)
        - `deletedAt` (string, date-time, required)

## Response 400

400
  - response (object) — Schema for bad request response
    - `message` (string, required) — Error message

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message

## Response 500

500
  - response (object) — Schema for internal server error response
    - `success` (boolean, required) — Indicates operation success
    - `message` (string, required) — Error message
    - `debugInfo` (string) — Optional debug information


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
